PUT api/campaigntemplate/preview
Request Information
URI Parameters
None.
Body Parameters
CampaignTemplateDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| Name | string |
None. |
|
| Width | integer |
None. |
|
| Items | Collection of CampaignTemplateItemDto |
None. |
|
| HasFooter | boolean |
None. |
|
| HasTestimonials | boolean |
None. |
|
| Price | CampaignPriceDto |
None. |
|
| Products | Collection of globally unique identifier |
None. |
|
| Created | date |
None. |
|
| Updated | date |
None. |
|
| IsDeleted | boolean |
None. |
|
| Campaigns | Collection of EntityDto |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "abd62916-ff2c-4e4c-95d0-a12c4468b259",
"name": "sample string 1",
"width": 2,
"items": [
{
"sort": 1,
"hidden": true,
"type": "sample string 2",
"content": "sample string 3",
"color": "sample string 4",
"invertedColor": true,
"url": "sample string 5",
"isUrl": true,
"width": 1,
"widthPercent": 1,
"padding": 1,
"timestamp": "2026-11-07T02:27:28.1106462+01:00",
"name": "sample string 6",
"meta1": "sample string 7",
"meta2": "sample string 8"
},
{
"sort": 1,
"hidden": true,
"type": "sample string 2",
"content": "sample string 3",
"color": "sample string 4",
"invertedColor": true,
"url": "sample string 5",
"isUrl": true,
"width": 1,
"widthPercent": 1,
"padding": 1,
"timestamp": "2026-11-07T02:27:28.1106462+01:00",
"name": "sample string 6",
"meta1": "sample string 7",
"meta2": "sample string 8"
}
],
"hasFooter": true,
"hasTestimonials": true,
"price": {
"amount": 1.0,
"currency": "sample string 2"
},
"products": [
"adf865fd-f862-4dc4-8800-a0f123b9e3d5",
"89293508-bfcf-4909-81f8-d5ae029b260c"
],
"created": "2026-11-07T02:27:28.1106462+01:00",
"updated": "2026-11-07T02:27:28.1106462+01:00",
"isDeleted": true,
"campaigns": [
{
"id": "98a62af2-159a-4eeb-8921-1e6a8ba12aa5",
"name": "sample string 2",
"type": "sample string 3"
},
{
"id": "98a62af2-159a-4eeb-8921-1e6a8ba12aa5",
"name": "sample string 2",
"type": "sample string 3"
}
]
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.